<?php
/*
Copyright (C) 2006 Daniel Webb

This file is part of bot-trap.

bot-trap is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

bot-trap is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with bot-trap; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Version 12.0.0.7
Modified by Steven Davis for TNG
*/

include( "../tng_begin.php");
// include ("../../wp-load.php"); //Required for integrated WP
if( !$cms['support'] ) $cms['tngpath'] = "../";

$flags['noicons'] = true; //Required for TNG Header
$flags['noheader'] = true; //Required for TNG Header
tng_header( "Forbidden", $flags ); //Required for TNG Header
//get_header (); //Required for integrated WP Header

if(phpversion() >= "4.2.0") 
  {
    extract($_SERVER);
  }
require 'settings.php';
require 'functions.php';

$logstring = "<a href=\"{$cms['tngpath']}bot-trap/forbid.php\">403 Forbidden</a>";
writelog($logstring);

?>
<h1>403 Forbidden</h1>
You do not have permission to access this page.

<?php
if (!is_blacklisted($REMOTE_ADDR))
  {
?>
There are two possible reasons for this:
<ol>
<li>You really aren't supposed to be here.</li>
<li>There is a server misconfiguration.</li>
</ol>

<?php
  }
else
  {
?>
  
<p>You accessed the bad robot booby-trap file /bot-trap/index.php.
This file is hidden from normal users, and /robots.txt 
told you not to go there if you're a robot.</p>
<p>If you are a human reading this, it is possible that the former
owner of your IP address was using your IP to run a
badly behaved robot.</p>
<p>
To unban your IP address, 
enter the word "unban" in the form box below and hit enter.
<p>

<form action="unban.php" method="POST">
 Enter "unban" here: <input type="text" name="unbanme" />
 <input type="submit" />
</form>

<?php
  }
?>

<br/><hr />
<address>Apache/1.3.26 Server at <a href="mailto:webmaster@danielwebb.us">danielwebb.us</a> Port 80</address>

<?php
$flags['basicfooter'] = true; //Required for TNG Footer
echo tng_footer($flags); //Required for TNG Footer
//get_footer (); //Required for WP integrated Footer
?>