<?php
/*
Copyright (C) 2006 Daniel Webb

This file is part of bot-trap.

bot-trap is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

bot-trap is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with bot-trap; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Version 12.0.0.7
Modified by Steven Davis for TNG
*/

include("../tng_begin.php");
//include ("../../wp-load.php"); //Required for integrated WP
if( !$cms['support'] ) $cms['tngpath'] = "../";

$flags['noicons'] = true; //Required for TNG Header
$flags['noheader'] = true; //Required for TNG Header
tng_header( "Bot-Trap", $flags ); //Required for TNG Header
//get_header (); //Required for integrated WP Header

if(phpversion() >= "4.2.0") 
  {
    extract($_SERVER);
  }
require 'settings.php';
require 'functions.php';

$logstring = "<a href=\"{$cms['tngpath']}bot-trap/index.php\">Bot-Trap</a>";
writelog($logstring);
 
?>

<h1>Bot Trap</h1>
<table class="home_table">
    <tr>

	<td class="home_section">
<p>If you are a human: Uh-Oh.  You just accessed the bad-robot trap.
   That means your IP is blocked from everything on this site.</p>
<p>If you are just a curious type and wanted to see what would happen,
   fill in the form when you get a 403 Forbidden page.</p>

<p>Click the button to be removed from ban list&nbsp;&nbsp;<input type="button" value="I'm Human" onclick="document.location='forbid.php'" /></p>

<p>If you are a robot: HA-HA.</p>
<?php
  add_blacklist($REMOTE_ADDR, $REQUEST_METHOD, $REQUEST_URI, $SERVER_PROTOCOL, $HTTP_REFERRER, $HTTP_USER_AGENT);
?>
		<br clear="all"/>
	</td>

    </tr>
</table>

<?php
$flags['basicfooter'] = true; //Required for TNG Footer
echo tng_footer($flags); //Required for TNG Footer
//get_footer (); //Required for WP integrated Footer
?>